SDL_GetSemaphoreValue(3)

NAME
SDL_GetSemaphoreValue - Get the current value of a semaphore.

HEADER FILE
Defined in SDL3/SDL_mutex.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint32 SDL_GetSemaphoreValue(SDL_Semaphore *sem);

FUNCTION PARAMETERS

sem the semaphore to query

RETURN VALUE
Returns the current value of the semaphore.

AVAILABILITY
This function is available since SDL 3.0.0.